Update a single task in flow - SuperAI Flows
Update a single task in flow
cURL
curl --request PUT \
--url https://flows.super.ai/api/flows/{flow_id}/task \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '{}'
Python
import requests
url = "https://flows.super.ai/api/flows/{flow_id}/task"
payload = {}
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'PUT',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://flows.super.ai/api/flows/{flow_id}/task', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Model Example
{
"created_at": "2023-11-07T05:31:56Z",
"definition": {},
"display_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_latest": true,
"modified_by": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 2,
"description": "<string>",
"flow_executions_count": 0,
"settings": {
"reexecute_on_update": false,
"ttl": {}
},
"task_names": [
"<string>"
],
"validation_errors": [
{
"input": "<unknown>",
"loc": [
123
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"url": "<string>"
}
]
}
Authorization Headers
X-API-Key
Type: string (header) - Required
Example:
X-API-Key: saf_1234567890
Authorization
Type: string (header) - Required
Example:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Parameters
Path Parameters
- flow_id: string
- required
Query Parameters
- include_ordered_task_names: boolean - default: false
- include_validation_errors: boolean - default: false
- include_dynamic_data: boolean - default: false
- include_output_schemas: boolean - default: false
- include_input_schema: boolean - default: false
Body
- Type:
Task Definition · object
Response
Status: 200 - Task successfully updated.